Subject: Re: [Patch net-next v4 4/5] vxlan: add scope_id support for ll addr

From: Cong Wang <[email-masked]>
Date: Sun, 21 Apr 2013 21:47:13 +0800

On Fri, 2013-04-19 at 07:14 -0400, David Stevens wrote:
> 
>         As I commented before, you're obscuring the types here,
> which makes it less readable. "va_sin6" ought to be a sockaddr_in6,
> not a sin6_addr, and the scope id ought to then be 
> "va_sin6.sin6_scope_id",
> without any other #define necessary for it.

So finally you want something like:

vxlan->default_dst.remote_ip.va_sin.sin_addr.s_addr

and

vxlan->default_dst.remote_ip.va_sin6.sin6_addr

Enjoy the readable code! :)

Again, I don't like this at all from the beginning! I just want to make
David happy. v5 is on the way...

For the record, please don't blame me if you think the code is ugly. :)